Hatari with Retropie on Raspberry Pi 2

A forum about the Hatari ST/STE/Falcon emulator - the current version is v2.2.0

Moderators: simonsunnyboy, thothy, Moderator Team

PondoSinatra
Atarian
Atarian
Posts: 4
Joined: Tue Feb 17, 2015 1:28 pm

Hatari with Retropie on Raspberry Pi 2

Postby PondoSinatra » Fri Mar 13, 2015 3:59 pm

Hello,

i run hatari with Retropie on a Rasperry Pi 2.

Every time i try to start a zip-compressed Game (Compressed .st or .stx File) i get the error message
"RetroArch [ERROR] :: ZIP extraction failed at line..."

I read that "extraction_directory" in retroarch.cfg should be set to a directory
that has the corecct read/write right

So i made the directory: md /home/pi/RetroPie/temp/
and gave the rights with: chmod 777 -R /home/pi/RetroPie/temp/

And edited the retroarch.cfg with:
sudo nano /opt/retropie/configs/atari2600/retroarch.cfg

Here i edited:
extraction_directory = /home/pi/RetroPie/temp/


But the error is not gone :-(((

Can anybody help me?

Hippy Dave
Atari Super Hero
Atari Super Hero
Posts: 515
Joined: Sat Jan 10, 2009 5:40 am

Re: Hatari with Retropie on Raspberry Pi 2

Postby Hippy Dave » Fri Mar 13, 2015 5:34 pm

Maybe the following will help:
Change:
chmod 777 -R /home/pi/RetroPie/temp/
To:
chmod 777 /home/pi/RetroPie/temp

Change:
extraction_directory = /home/pi/RetroPie/temp/
To:
extraction_directory = /home/pi/RetroPie/temp

Contact the RetroPie Project:
http://blog.petrockblock.com/retropie/#retrocontribute

PondoSinatra
Atarian
Atarian
Posts: 4
Joined: Tue Feb 17, 2015 1:28 pm

Re: Hatari with Retropie on Raspberry Pi 2

Postby PondoSinatra » Fri Mar 13, 2015 6:51 pm

Thank you, but i had no success.

PondoSinatra
Atarian
Atarian
Posts: 4
Joined: Tue Feb 17, 2015 1:28 pm

Re: Hatari with Retropie on Raspberry Pi 2

Postby PondoSinatra » Fri Mar 13, 2015 10:53 pm

The error has changed.

Error.jpg


Sorry for the bad Quality. It seemes that the program do not find any relevant content in my zipped File. At first i took the zipped-Files from
the GamebaseST3.1, after that i took a *.st-File, zipped it, and tested it.... The error is the same.
You do not have the required permissions to view the files attached to this post.


Social Media

     

Return to “Hatari”

Who is online

Users browsing this forum: No registered users and 1 guest